#
# spec file for package python-traceback2
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-traceback2
Version:        1.4.0
Release:        7.6
Summary:        Backports of the traceback module
# This is a backport of code taken from the Python codebase,
# and such is under the same license as Python as a whole.
License:        Python-2.0
URL:            https://github.com/bitprophet/traceback2
Source:         https://files.pythonhosted.org/packages/source/t/traceback2/traceback2-%{version}.tar.gz
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-linecache2
Requires:       python-pbr
BuildArch:      noarch
%python_subpackages

%description
A backport of traceback to older supported Pythons.

%prep
%setup -q -n traceback2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst AUTHORS ChangeLog
# Contains the license
%license setup.cfg
%{python_sitelib}/traceback2
%{python_sitelib}/traceback2-%{version}-py*.egg-info

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu Oct 17 2019 Tomáš Chvátal <tchvatal@suse.com>
- Remove pyparsing buildignore as the cycle was solved
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Thu Jan 17 2019 Dominique Leuenberger <dimstar@opensuse.org>
- BuildIgnore python[23]-pyparsing: python-packaging requires it
  for some actions it could perform, but we don't make use of these
  here. Ignoring this dependency allows us to break open a
  BuildCycle.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon May 22 2017 tbechtold@suse.com
- Add missing python-linecache2 Requires
* Wed Mar  1 2017 aloisio@gmx.com
- Converted to single-spec
- Replaced the source URL with pypi.io link
* Wed Oct 14 2015 toddrme2178@gmail.com
- Add license explanation.
* Tue Oct 13 2015 toddrme2178@gmail.com
- Fix license.  Should be Python-2.0
* Mon Oct 12 2015 toddrme2178@gmail.com
- Initial python 2 version
* Sat Mar 14 2015 arun@gmx.de
- initial version
